## midish 0.2.5

=== Makefile ===
#
# parameters for the GNU readline(3) library, used to
# build rmidish (front-end to midish)
#
READLINE_CFLAGS = 			# readline additionnal flags
READLINE_LDFLAGS = -L/usr/local/lib	# path to readline libraries
READLINE_INCLUDE = -I/usr/local/include # path to readline header files
READLINE_LIB = -lreadline -ltermcap	# readline libraries

#
# binaries, documentation, man pages and examples will be installed in 
# ${BIN_DIR}, ${MAN1_DIR}, ${DOC_DIR} and ${EXAMPLES_DIR}
#
PREFIX = /usr/local
BIN_DIR = ${PREFIX}/bin
MAN1_DIR = ${PREFIX}/man/man1
DOC_DIR = ${PREFIX}/share/doc/midish
EXAMPLES_DIR = ${PREFIX}/share/examples/midish

MIDISH_OBJS = \
cons.o data.o dbg.o ev.o exec.o filt.o lex.o main.o mdep.o mididev.o \
mux.o name.o node.o parse.o pool.o rmidi.o saveload.o smf.o song.o \
str.o sysex.o textio.o track.o trackop.o user.o \
user_trk.o user_chan.o user_filt.o user_sx.o user_song.o user_dev.o 

all:		midish rmidish

install:	install-midish install-rmidish

clean:
		rm -f -- midish rmidish *~ *.bak *.tmp *.o *.s *.out *.core core

# ---------------------------------------------- dependencies for midish ---

midish:		${MIDISH_OBJS}
		${CC} ${LDFLAGS} ${MIDISH_OBJS} -o midish

install-midish:	midish
		mkdir -p ${BIN_DIR}
		mkdir -p ${MAN1_DIR}
		mkdir -p ${DOC_DIR}
		mkdir -p ${EXAMPLES_DIR}
		cp midish smfplay smfrec ${BIN_DIR}
		cp midish.1 smfplay.1 smfrec.1 ${MAN1_DIR}
		cp README manual.html ${DOC_DIR}
		cp midishrc sample.sng ${EXAMPLES_DIR}
		
cons.o:		cons.c dbg.h textio.h cons.h user.h
data.o:		data.c dbg.h str.h cons.h data.h
dbg.o:		dbg.c dbg.h
ev.o:		ev.c dbg.h ev.h default.h str.h
exec.o:		exec.c dbg.h exec.h name.h str.h data.h node.h cons.h
filt.o:		filt.c dbg.h ev.h default.h filt.h pool.h
lex.o:		lex.c dbg.h lex.h str.h textio.h cons.h
main.o:		main.c dbg.h str.h cons.h ev.h default.h mux.h track.h song.h name.h filt.h sysex.h user.h mididev.h textio.h
mdep.o:		mdep.c default.h mux.h rmidi.h mdep.h mididev.h cons.h user.h exec.h name.h str.h
mididev.o:	mididev.c dbg.h default.h mididev.h data.h name.h str.h rmidi.h mdep.h pool.h cons.h
mux.o:		mux.c dbg.h ev.h default.h mdep.h mux.h rmidi.h mididev.h sysex.h
name.o:		name.c dbg.h name.h str.h
node.o:		node.c dbg.h str.h data.h node.h exec.h name.h cons.h
parse.o:	parse.c dbg.h textio.h lex.h data.h parse.h node.h cons.h
pool.o:		pool.c dbg.h pool.h
rmidi.o:	rmidi.c dbg.h default.h mdep.h ev.h sysex.h mux.h rmidi.h mididev.h
saveload.o:	saveload.c dbg.h name.h str.h song.h track.h ev.h default.h filt.h sysex.h parse.h lex.h textio.h saveload.h trackop.h
smf.o:		smf.c dbg.h sysex.h track.h ev.h default.h trackop.h song.h name.h str.h filt.h smf.h cons.h
song.o:		song.c dbg.h mididev.h mux.h track.h ev.h default.h trackop.h filt.h song.h name.h str.h sysex.h cons.h
str.o:		str.c dbg.h str.h
sysex.o:	sysex.c dbg.h sysex.h default.h pool.h
textio.o:	textio.c dbg.h textio.h cons.h
track.o:	track.c dbg.h pool.h track.h ev.h default.h
trackop.o:	trackop.c dbg.h trackop.h track.h ev.h default.h
user.o:		user.c dbg.h default.h node.h exec.h name.h str.h data.h cons.h textio.h lex.h parse.h mux.h mididev.h trackop.h track.h ev.h song.h filt.h sysex.h user.h smf.h saveload.h rmidi.h mdep.h
user_chan.o:	user_chan.c dbg.h default.h node.h exec.h name.h str.h data.h cons.h trackop.h track.h ev.h song.h filt.h sysex.h user.h saveload.h textio.h
user_dev.o:	user_dev.c dbg.h default.h node.h exec.h name.h str.h data.h cons.h mididev.h song.h track.h ev.h filt.h sysex.h user.h textio.h
user_filt.o:	user_filt.c dbg.h default.h node.h exec.h name.h str.h data.h cons.h song.h track.h ev.h filt.h sysex.h user.h saveload.h textio.h
user_song.o:	user_song.c dbg.h default.h node.h exec.h name.h str.h data.h cons.h trackop.h song.h track.h ev.h filt.h sysex.h user.h smf.h saveload.h textio.h
user_sx.o:	user_sx.c dbg.h default.h node.h exec.h name.h str.h data.h cons.h song.h track.h ev.h filt.h sysex.h user.h saveload.h textio.h
user_trk.o:	user_trk.c dbg.h default.h node.h exec.h name.h str.h data.h cons.h trackop.h track.h ev.h song.h filt.h sysex.h user.h saveload.h textio.h

# --------------------------------------------- dependencies for rmidish ---

rmidish:	rmidish.c
		${CC} ${CFLAGS} ${READLINE_CFLAGS} ${READLINE_INCLUDE} rmidish.c \
		${LDFLAGS} ${READLINE_LDFLAGS} -o rmidish ${READLINE_LIB}

install-rmidish:rmidish
		mkdir -p ${BIN_DIR}
		mkdir -p ${MAN1_DIR}
		cp rmidish ${BIN_DIR}
		cp rmidish.1 ${MAN1_DIR}

## midish 0.3.0

=== Makefile ===
#
# parameters for the GNU readline(3) library, used to
# build rmidish (front-end to midish)
#
READLINE_CFLAGS = 			# additionnal compiler flags
READLINE_LDFLAGS = -L/usr/local/lib	# path to libraries
READLINE_INCLUDE = -I/usr/local/include # path to header files
READLINE_LIB = -lreadline -ltermcap	# list of readline libraries

#
# binaries, documentation, man pages and examples will be installed in 
# ${BIN_DIR}, ${MAN1_DIR}, ${DOC_DIR} and ${EXAMPLES_DIR}
#
PREFIX = /usr/local
BIN_DIR = ${PREFIX}/bin
MAN1_DIR = ${PREFIX}/man/man1
DOC_DIR = ${PREFIX}/share/doc/midish
EXAMPLES_DIR = ${PREFIX}/share/examples/midish

#
# programs to build and install
#
PROGS = midish rmidish

all:		${PROGS}

install:	${PROGS}
		mkdir -p ${BIN_DIR} ${MAN1_DIR} ${DOC_DIR} ${EXAMPLES_DIR}
		cp ${PROGS} smfplay smfrec ${BIN_DIR}
		cp ${PROGS:=.1} smfplay.1 smfrec.1 ${MAN1_DIR}
		cp README manual.html ${DOC_DIR}
		cp midishrc sample.sng ${EXAMPLES_DIR}

check:		midish
		cd regress && ./run-test *.cmd

clean:
		rm -f -- ${PROGS} *.o *~ *.bak *.tmp *.ln *.s *.out *.core core
		cd regress && rm -f -- *~ *.tmp? *.core *.log *.diff *.orig *.rej

# ---------------------------------------------------------- dependencies ---

MIDISH_OBJS = \
cons.o conv.o data.o dbg.o ev.o exec.o filt.o frame.o lex.o \
main.o mdep.o metro.o mididev.o mux.o name.o node.o parse.o \
pool.o rmidi.o saveload.o smf.o song.o state.o str.o sysex.o \
textio.o timo.o track.o user.o user_trk.o user_chan.o \
user_filt.o user_sx.o user_song.o user_dev.o 

midish:		${MIDISH_OBJS}
		${CC} ${LDFLAGS} ${MIDISH_OBJS} -o midish

rmidish:	rmidish.c midish
		${CC} ${CFLAGS} ${READLINE_CFLAGS} ${READLINE_INCLUDE} rmidish.c \
		${LDFLAGS} ${READLINE_LDFLAGS} -o rmidish ${READLINE_LIB}

cons.o:		cons.c dbg.h textio.h cons.h user.h
conv.o:		conv.c dbg.h state.h ev.h default.h conv.h
data.o:		data.c dbg.h str.h cons.h data.h
dbg.o:		dbg.c dbg.h
ev.o:		ev.c dbg.h ev.h default.h str.h
exec.o:		exec.c dbg.h exec.h name.h str.h data.h node.h cons.h
filt.o:		filt.c dbg.h ev.h default.h filt.h state.h timo.h pool.h \
		mux.h
frame.o:	frame.c dbg.h track.h ev.h default.h frame.h state.h
lex.o:		lex.c dbg.h lex.h str.h textio.h cons.h
main.o:		main.c dbg.h str.h cons.h ev.h default.h mux.h track.h \
		song.h name.h frame.h state.h filt.h timo.h sysex.h \
		metro.h user.h mididev.h textio.h
mdep.o:		mdep.c default.h mux.h rmidi.h mdep.h mididev.h cons.h \
		user.h exec.h name.h str.h dbg.h
metro.o:	metro.c dbg.h mux.h metro.h ev.h default.h timo.h
mididev.o:	mididev.c dbg.h default.h mididev.h data.h name.h str.h \
		rmidi.h mdep.h pool.h cons.h
mux.o:		mux.c dbg.h ev.h default.h mdep.h mux.h rmidi.h \
		mididev.h sysex.h timo.h state.h conv.h
name.o:		name.c dbg.h name.h str.h
node.o:		node.c dbg.h str.h data.h node.h exec.h name.h cons.h
parse.o:	parse.c dbg.h textio.h lex.h data.h parse.h node.h \
		cons.h
pool.o:		pool.c dbg.h pool.h
rmidi.o:	rmidi.c dbg.h default.h mdep.h ev.h sysex.h mux.h \
		rmidi.h mididev.h
saveload.o:	saveload.c dbg.h name.h str.h song.h track.h ev.h \
		default.h frame.h state.h filt.h timo.h sysex.h metro.h \
		parse.h lex.h textio.h saveload.h conv.h
smf.o:		smf.c dbg.h sysex.h track.h ev.h default.h song.h name.h \
		str.h frame.h state.h filt.h timo.h metro.h smf.h cons.h \
		conv.h
song.o:		song.c dbg.h mididev.h mux.h track.h ev.h default.h \
		frame.h state.h filt.h timo.h song.h name.h str.h \
		sysex.h metro.h cons.h
state.o:	state.c dbg.h pool.h state.h ev.h default.h
str.o:		str.c dbg.h str.h
sysex.o:	sysex.c dbg.h sysex.h default.h pool.h
textio.o:	textio.c dbg.h textio.h cons.h
timo.o:		timo.c dbg.h timo.h
track.o:	track.c dbg.h pool.h track.h ev.h default.h
user.o:		user.c dbg.h default.h node.h exec.h name.h str.h data.h \
		cons.h textio.h lex.h parse.h mux.h mididev.h track.h \
		ev.h song.h frame.h state.h filt.h timo.h sysex.h \
		metro.h user.h smf.h saveload.h rmidi.h mdep.h
user_trk.o:	user_trk.c dbg.h default.h node.h exec.h name.h str.h \
		data.h cons.h frame.h state.h ev.h track.h song.h filt.h \
		timo.h sysex.h metro.h user.h saveload.h textio.h
user_chan.o:	user_chan.c dbg.h default.h node.h exec.h name.h str.h \
		data.h cons.h frame.h state.h ev.h track.h song.h filt.h \
		timo.h sysex.h metro.h user.h saveload.h textio.h
user_filt.o:	user_filt.c dbg.h default.h node.h exec.h name.h str.h \
		data.h cons.h song.h track.h ev.h frame.h state.h filt.h \
		timo.h sysex.h metro.h user.h saveload.h textio.h
user_sx.o:	user_sx.c dbg.h default.h node.h exec.h name.h str.h \
		data.h cons.h song.h track.h ev.h frame.h state.h filt.h \
		timo.h sysex.h metro.h user.h saveload.h textio.h
user_song.o:	user_song.c dbg.h default.h node.h exec.h name.h str.h \
		data.h cons.h frame.h state.h ev.h song.h track.h filt.h \
		timo.h sysex.h metro.h user.h smf.h saveload.h textio.h
user_dev.o:	user_dev.c dbg.h default.h node.h exec.h name.h str.h \
		data.h cons.h mididev.h song.h track.h ev.h frame.h \
		state.h filt.h timo.h sysex.h metro.h user.h textio.h

## midish 1.0.4

=== debian/changelog ===
midish (1.0.4-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Add build-{arch,indep} (Closes: #999244).

 -- Marcos Talau <talau@debian.org>  Thu, 03 Nov 2022 18:49:04 -0300

midish (1.0.4-1.1) unstable; urgency=low

  * Non-maintainer upload, fixes FTBFS. (Closes: #604947, #652177)

 -- Konstantinos Margaritis <markos@debian.org>  Tue, 31 Jan 2012 00:44:29 +0000

midish (1.0.4-1) unstable; urgency=low

  * New upstream release
  * Complete repackaging (new upstream build process, new standards)

 -- Alexandre Ratchov <alex@caoua.org>  Sat, 30 Oct 2010 11:50:43 +0200

midish (0.3.0-1) unstable; urgency=low

  * New upstream release.

 -- Alexandre Ratchov <alex@caoua.org>  Mon, 20 Aug 2007 13:12:49 +0200

midish (0.2.8-1) unstable; urgency=low

  * New upstream release.
  * Added a watch file.

 -- Samuel Mimram <smimram@debian.org>  Sun, 29 Apr 2007 20:24:03 +0200

midish (0.2.7-2) unstable; urgency=low

  * Upload to unstable.

 -- Samuel Mimram <smimram@debian.org>  Wed, 11 Apr 2007 17:00:11 +0200

midish (0.2.7-1) experimental; urgency=low

  * New upstream release

 -- Alexandre Ratchov <alex@caoua.org>  Wed, 10 Jan 2007 15:00:58 +0100

midish (0.2.5-1) unstable; urgency=low

  * Initial release, closes: #385121.

 -- Samuel Mimram <smimram@debian.org>  Wed, 30 Aug 2006 19:30:12 +0000

=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS = -Wl,--as-needed

configure: configure-stamp
configure-stamp:
	dh_testdir
	./configure CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" \
	    --prefix=/usr --mandir=/usr/share/man
	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	rm -f build-stamp configure-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean 

install:
	dh_testdir
	dh_prep -s 
	dh_installdirs -s
	$(MAKE) DESTDIR=$(CURDIR)/debian/midish \
	    DOC_DIR=/usr/share/doc/midish \
	    EXAMPLES_DIR=/usr/share/doc/midish/examples \
	    install
	dh_install -s

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep

build-arch: build
build-indep: build

.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3
http://caoua.org/midish/ midish-(.*)\.tar\.gz

## midish 1.4.0

=== debian/changelog ===
midish (1.4.0-1) unstable; urgency=medium

  * New upstream version
    Closes: #993811, #1070255
  * Add myself to Uploades since former maintainer (=upsteam)
    prefers if someone else would take over
    Closes: #1107230
  * Maintain package in Debian Multimedia team
  * Fix Homepage
  * Fix watch file
  * d/copyright: DEP5
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * d/rules: short dh
    Closes: #1070255
  * Add upstream signing key
  * Permit failure of blhc in Salsa CI

 -- Andreas Tille <tille@debian.org>  Tue, 29 Jul 2025 17:37:58 +0200

=== debian/control ===
Source: midish
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Build-Depends: debhelper-compat (= 13), libreadline-dev, libasound2-dev, libncurses-dev
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/multimedia-team/midish
Vcs-Git: https://salsa.debian.org/multimedia-team/midish.git
Homepage: https://midish.org

Package: midish
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: shell-like MIDI sequencer/filter
 midish is a MIDI sequencer/filter implemented as a shell-like interpreter.
 It's intended to be lightweight, fast and reliable for real-time performance.
 Important features are: multiple MIDI devices handling, synchronisation to
 external MIDI devices, real-time MIDI filtering/routing (controller mapping,
 keyboard splitting, ...), track recording and editing (insert, copy, delete,
 quantize...), import and export of standard MIDI files, system exclusive
 messages handling.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
%:
	dh $@

override_dh_auto_configure:
	./configure CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" --prefix=/usr --mandir=/usr/share/man

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	echo "Disable build time test"
endif

override_dh_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/midish \
	    DOC_DIR=/usr/share/doc/midish \
	    EXAMPLES_DIR=/usr/share/doc/midish/examples \
	    install

=== debian/watch ===
version=4

opts="pgpsigurlmangle=s/$/.asc/" \
  https://midish.org/ midish-(.*)\.tar\.gz
